# HG changeset patch
# Node ID afa853660a03
# Parent  130f4d75c237
diff --git a/gntbox.h b/gntbox.h
--- a/gntbox.h
+++ b/gntbox.h
@@ -117,7 +117,7 @@ GntWidget *gnt_box_new(gboolean homogene
  * Returns: (element-type GntWidget) (transfer container): A new list
  *          containing the children of the box.
  *
- * Since: 2.14.0
+ * Since: 2.14
  */
 GList *gnt_box_get_children(GntBox *box);
 
@@ -137,7 +137,7 @@ void gnt_box_add_widget(GntBox *box, Gnt
  *
  * Add a widget in the box at its front.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 void gnt_box_add_widget_in_front(GntBox *box, GntWidget *widget);
 
@@ -158,7 +158,7 @@ void gnt_box_set_title(GntBox *box, cons
  *
  * Returns: The title of the box
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 const gchar *gnt_box_get_title(GntBox *box);
 
diff --git a/gntbutton.h b/gntbutton.h
--- a/gntbutton.h
+++ b/gntbutton.h
@@ -67,7 +67,7 @@ GntWidget *gnt_button_new(const gchar *t
  *
  * Set the text of a button.
  *
- * Since: 2.14.0
+ * Since: 2.14
  */
 void gnt_button_set_text(GntButton *button, const gchar *text);
 
@@ -79,7 +79,7 @@ void gnt_button_set_text(GntButton *butt
  *
  * Returns: The text for the button.
  *
- * Since: 2.14.0
+ * Since: 2.14
  */
 const gchar *gnt_button_get_text(GntButton *button);
 
diff --git a/gntcolors.h b/gntcolors.h
--- a/gntcolors.h
+++ b/gntcolors.h
@@ -118,7 +118,7 @@ void gnt_color_pairs_parse(GKeyFile *kfi
  *
  * Returns: A color. For an unknown color name, returns -EINVAL.
  *
- * Since: 2.4.0
+ * Since: 2.4
  */
 int gnt_colors_get_color(char *key);
 
@@ -132,7 +132,7 @@ int gnt_colors_get_color(char *key);
  *
  * Returns:  A character attribute.
  *
- * Since: 2.3.0
+ * Since: 2.3
  */
 int gnt_color_pair(int color);
 
@@ -145,7 +145,7 @@ int gnt_color_pair(int color);
  *
  * Returns:  A color pair
  *
- * Since: 2.4.0
+ * Since: 2.4
  */
 int gnt_color_add_pair(int fg, int bg);
 
diff --git a/gntcombobox.h b/gntcombobox.h
--- a/gntcombobox.h
+++ b/gntcombobox.h
@@ -53,7 +53,7 @@ GntWidget * gnt_combo_box_new(void);
  *
  * Returns: (transfer none): The dropdown for the combo box
  *
- * Since: 2.14.0
+ * Since: 2.14
  */
 GntWidget *gnt_combo_box_get_dropdown(GntComboBox *box);
 
diff --git a/gntentry.c b/gntentry.c
--- a/gntentry.c
+++ b/gntentry.c
@@ -1081,7 +1081,7 @@ gnt_entry_class_init(GntEntryClass *klas
 	/**
 	 * GntEntry::completion:
 	 *
-	 * Since: 2.1.0
+	 * Since: 2.1
 	 */
 	signals[SIG_COMPLETION] =
 		g_signal_new("completion",
diff --git a/gntfilesel.c b/gntfilesel.c
--- a/gntfilesel.c
+++ b/gntfilesel.c
@@ -509,7 +509,7 @@ gnt_file_sel_class_init(GntFileSelClass 
 	 * The ::file-selected signal is emitted when the Select button or the
 	 * file tree on a #GntFileSel is activated.
 	 *
-	 * Since: 2.1.0
+	 * Since: 2.1
 	 */
 	signals[SIG_FILE_SELECTED] =
 		g_signal_new("file_selected",
@@ -526,7 +526,7 @@ gnt_file_sel_class_init(GntFileSelClass 
 	 * The ::cancelled signal is emitted when the Cancel button on a
 	 * #GntFileSel is activated.
 	 *
-	 * Since: 2.14.0
+	 * Since: 2.14
 	 */
 	signals[SIG_CANCELLED] =
 		g_signal_new("cancelled",
diff --git a/gntmain.h b/gntmain.h
--- a/gntmain.h
+++ b/gntmain.h
@@ -63,7 +63,7 @@ void gnt_quit(void);
  * You have to call this before #gnt_init. You might want to call this
  * with %NULL, to free the resources, but not before a call to #gnt_quit.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 void gnt_set_config_dir(const gchar *config_dir);
 
@@ -83,7 +83,7 @@ gboolean gnt_ascii_only(void);
  * Present a window. If the event was triggered because of user interaction,
  * the window is moved to the foreground. Otherwise, the Urgent hint is set.
  *
- * Since: 2.1.0
+ * Since: 2.1
  */
 void gnt_window_present(GntWidget *window);
 
diff --git a/gntmenu.h b/gntmenu.h
--- a/gntmenu.h
+++ b/gntmenu.h
@@ -83,7 +83,7 @@ void gnt_menu_add_item(GntMenu *menu, Gn
  *
  * Returns: (transfer none): The menuitem with the given ID, or %NULL.
  *
- * Since: 2.3.0
+ * Since: 2.3
  */
 GntMenuItem *gnt_menu_get_item(GntMenu *menu, const char *id);
 
diff --git a/gntmenuitem.h b/gntmenuitem.h
--- a/gntmenuitem.h
+++ b/gntmenuitem.h
@@ -99,7 +99,7 @@ void gnt_menuitem_set_submenu(GntMenuIte
  *
  * Returns: (transfer none): The submenu, or %NULL.
  *
- * Since: 2.3.0
+ * Since: 2.3
  */
 GntMenu *gnt_menuitem_get_submenu(GntMenuItem *item);
 
@@ -131,7 +131,7 @@ gchar gnt_menuitem_get_trigger(GntMenuIt
  *
  * Set an ID for the menuitem.
  *
- * Since: 2.3.0
+ * Since: 2.3
  */
 void gnt_menuitem_set_id(GntMenuItem *item, const gchar *id);
 
@@ -143,7 +143,7 @@ void gnt_menuitem_set_id(GntMenuItem *it
  *
  * Returns:  The ID for the menuitem.
  *
- * Since: 2.3.0
+ * Since: 2.3
  */
 const gchar *gnt_menuitem_get_id(GntMenuItem *item);
 
@@ -157,7 +157,7 @@ const gchar *gnt_menuitem_get_id(GntMenu
  *
  * Returns:  Whether the callback for the menuitem was called.
  *
- * Since: 2.3.0
+ * Since: 2.3
  */
 gboolean gnt_menuitem_activate(GntMenuItem *item);
 
@@ -168,7 +168,7 @@ gboolean gnt_menuitem_activate(GntMenuIt
  *
  * Sets @item visible or not.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 void
 gnt_menuitem_set_visible(GntMenuItem *item, gboolean visible);
@@ -181,7 +181,7 @@ gnt_menuitem_set_visible(GntMenuItem *it
  *
  * Returns: %TRUE, if the @item is visible.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 gboolean
 gnt_menuitem_is_visible(GntMenuItem *item);
@@ -193,7 +193,7 @@ gnt_menuitem_is_visible(GntMenuItem *ite
  *
  * Changes the text for an @item.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 void
 gnt_menuitem_set_text(GntMenuItem *item, const gchar *text);
diff --git a/gntprogressbar.h b/gntprogressbar.h
--- a/gntprogressbar.h
+++ b/gntprogressbar.h
@@ -59,7 +59,7 @@ G_DECLARE_FINAL_TYPE(GntProgressBar, gnt
  *
  * Returns: The new GntProgressBar
  *
- * Since: 2.6.0
+ * Since: 2.6
  */
 GntWidget *
 gnt_progress_bar_new (void);
@@ -71,7 +71,7 @@ gnt_progress_bar_new (void);
  *
  * Set the progress for a progress bar
  *
- * Since: 2.6.0
+ * Since: 2.6
  */
 void
 gnt_progress_bar_set_fraction (GntProgressBar *pbar, gdouble fraction);
@@ -83,7 +83,7 @@ gnt_progress_bar_set_fraction (GntProgre
  *
  * Set the orientation for a progress bar
  *
- * Since: 2.6.0
+ * Since: 2.6
  */
 void
 gnt_progress_bar_set_orientation (GntProgressBar *pbar, GntProgressBarOrientation orientation);
@@ -95,7 +95,7 @@ gnt_progress_bar_set_orientation (GntPro
  *
  * Controls whether the progress value is shown
  *
- * Since: 2.6.0
+ * Since: 2.6
  */
 void
 gnt_progress_bar_set_show_progress (GntProgressBar *pbar, gboolean show);
@@ -108,7 +108,7 @@ gnt_progress_bar_set_show_progress (GntP
  *
  * Returns: The progress displayed as a value between 0 and 1
  *
- * Since: 2.6.0
+ * Since: 2.6
  */
 gdouble
 gnt_progress_bar_get_fraction (GntProgressBar *pbar);
@@ -121,7 +121,7 @@ gnt_progress_bar_get_fraction (GntProgre
  *
  * Returns: The current orientation of the progress bar
  *
- * Since: 2.6.0
+ * Since: 2.6
  */
 GntProgressBarOrientation
 gnt_progress_bar_get_orientation (GntProgressBar *pbar);
@@ -134,7 +134,7 @@ gnt_progress_bar_get_orientation (GntPro
  *
  * Returns: %TRUE if the progress value is shown, %FALSE otherwise.
  *
- * Since: 2.6.0
+ * Since: 2.6
  */
 gboolean
 gnt_progress_bar_get_show_progress (GntProgressBar *pbar);
diff --git a/gntslider.h b/gntslider.h
--- a/gntslider.h
+++ b/gntslider.h
@@ -41,7 +41,7 @@ G_DECLARE_DERIVABLE_TYPE(GntSlider, gnt_
  *
  * The class structure for #GntSlider.
  *
- * Since: 2.1.0
+ * Since: 2.1
  */
 struct _GntSliderClass
 {
@@ -64,7 +64,7 @@ struct _GntSliderClass
  *
  * Returns: The newly created slider.
  *
- * Since: 2.1.0
+ * Since: 2.1
  */
 #define gnt_hslider_new(max, min) gnt_slider_new(FALSE, max, min)
 
@@ -77,7 +77,7 @@ struct _GntSliderClass
  *
  * Returns: The newly created slider.
  *
- * Since: 2.1.0
+ * Since: 2.1
  */
 #define gnt_vslider_new(max, min) gnt_slider_new(TRUE, max, min)
 
@@ -92,7 +92,7 @@ struct _GntSliderClass
  *
  * Returns: The newly created slider.
  *
- * Since: 2.1.0
+ * Since: 2.1
  */
 GntWidget * gnt_slider_new(gboolean orient, int max, int min);
 
@@ -104,7 +104,7 @@ GntWidget * gnt_slider_new(gboolean orie
  *
  * Returns:  Whether the slider is vertical.
  *
- * Since: 2.14.0
+ * Since: 2.14
  */
 gboolean gnt_slider_get_vertical(GntSlider *slider);
 
@@ -116,7 +116,7 @@ gboolean gnt_slider_get_vertical(GntSlid
  *
  * Set the range of the slider.
  *
- * Since: 2.1.0
+ * Since: 2.1
  */
 void gnt_slider_set_range(GntSlider *slider, int max, int min);
 
@@ -128,7 +128,7 @@ void gnt_slider_set_range(GntSlider *sli
  *
  * Get the range of the slider.
  *
- * Since: 2.14.0
+ * Since: 2.14
  */
 void gnt_slider_get_range(GntSlider *slider, int *max, int *min);
 
@@ -139,7 +139,7 @@ void gnt_slider_get_range(GntSlider *sli
  *
  * Sets the amount of change at each step.
  *
- * Since: 2.1.0
+ * Since: 2.1
  */
 void gnt_slider_set_step(GntSlider *slider, int step);
 
@@ -151,7 +151,7 @@ void gnt_slider_set_step(GntSlider *slid
  *
  * Returns:  The amount for each step
  *
- * Since: 2.14.0
+ * Since: 2.14
  */
 int gnt_slider_get_step(GntSlider *slider);
 
@@ -162,7 +162,7 @@ int gnt_slider_get_step(GntSlider *slide
  *
  * Sets the amount of change a small step.
  *
- * Since: 2.2.0
+ * Since: 2.2
  */
 void gnt_slider_set_small_step(GntSlider *slider, int step);
 
@@ -174,7 +174,7 @@ void gnt_slider_set_small_step(GntSlider
  *
  * Returns:  The amount for a small step (of the slider)
  *
- * Since: 2.14.0
+ * Since: 2.14
  */
 int gnt_slider_get_small_step(GntSlider *slider);
 
@@ -185,7 +185,7 @@ int gnt_slider_get_small_step(GntSlider 
  *
  * Sets the amount of change a large step.
  *
- * Since: 2.2.0
+ * Since: 2.2
  */
 void gnt_slider_set_large_step(GntSlider *slider, int step);
 
@@ -197,7 +197,7 @@ void gnt_slider_set_large_step(GntSlider
  *
  * Returns:  The amount for a large step (of the slider)
  *
- * Since: 2.14.0
+ * Since: 2.14
  */
 int gnt_slider_get_large_step(GntSlider *slider);
 
@@ -211,7 +211,7 @@ int gnt_slider_get_large_step(GntSlider 
  *
  * Returns:   The value of the slider after the change
  *
- * Since: 2.1.0
+ * Since: 2.1
  */
 int gnt_slider_advance_step(GntSlider *slider, int steps);
 
@@ -222,7 +222,7 @@ int gnt_slider_advance_step(GntSlider *s
  *
  * Set the current value for the slider.
  *
- * Since: 2.1.0
+ * Since: 2.1
  */
 void gnt_slider_set_value(GntSlider *slider, int value);
 
@@ -232,7 +232,7 @@ void gnt_slider_set_value(GntSlider *sli
  *
  * Get the current value for the slider.
  *
- * Since: 2.1.0
+ * Since: 2.1
  */
 int gnt_slider_get_value(GntSlider *slider);
 
@@ -243,7 +243,7 @@ int gnt_slider_get_value(GntSlider *slid
  *
  * Update a label with the value of the slider whenever the value changes.
  *
- * Since: 2.1.0
+ * Since: 2.1
  */
 void gnt_slider_reflect_label(GntSlider *slider, GntLabel *label);
 
diff --git a/gntstyle.h b/gntstyle.h
--- a/gntstyle.h
+++ b/gntstyle.h
@@ -78,7 +78,7 @@ const char *gnt_style_get(GntStyle style
  *
  * Returns:  The value of the setting as a string, or %NULL
  *
- * Since: 2.1.0
+ * Since: 2.1
  */
 char *gnt_style_get_from_name(const char *group, const char *key);
 
@@ -94,7 +94,7 @@ char *gnt_style_get_from_name(const char
  * Returns: (transfer full): %NULL terminated string array. The array should be
  *          freed with g_strfreev().
  *
- * Since: 2.4.0
+ * Since: 2.4
  */
 char **gnt_style_get_string_list(const char *group, const char *key, gsize *length);
 
@@ -108,7 +108,7 @@ char **gnt_style_get_string_list(const c
  *
  * Returns:  The value of the color as an int, or 0 on error.
  *
- * Since: 2.4.0
+ * Since: 2.4
  */
 int gnt_style_get_color(char *group, char *key);
 
@@ -121,7 +121,7 @@ int gnt_style_get_color(char *group, cha
  *
  * Returns:    The boolean value
  *
- * Since: 2.1.0
+ * Since: 2.1
  */
 gboolean gnt_style_parse_bool(const char *value);
 
diff --git a/gnttextview.h b/gnttextview.h
--- a/gnttextview.h
+++ b/gnttextview.h
@@ -40,7 +40,7 @@
  *
  * Flags that determine the behaviour of a #GntTextView.
  *
- * Since: 2.1.0
+ * Since: 2.1
  */
 typedef enum
 {
@@ -122,7 +122,7 @@ void gnt_text_view_append_text_with_tag(
  *
  * Returns: The text.
  *
- * Since: 2.14.0
+ * Since: 2.14
  */
 const gchar *gnt_text_view_get_text(GntTextView *view);
 
@@ -234,7 +234,7 @@ void gnt_text_view_attach_editor_widget(
  *
  * Set a #GntTextViewFlag for the textview widget.
  *
- * Since: 2.1.0
+ * Since: 2.1
  */
 void gnt_text_view_set_flag(GntTextView *view, GntTextViewFlag flag);
 
diff --git a/gnttree.h b/gnttree.h
--- a/gnttree.h
+++ b/gnttree.h
@@ -398,7 +398,7 @@ void gnt_tree_set_row_flags(GntTree *tre
  *
  * Set color for the text in a row in the tree.
  *
- * Since: 2.4.0
+ * Since: 2.4
  */
 void gnt_tree_set_row_color(GntTree *tree, void *key, int color);
 
@@ -461,7 +461,7 @@ void gnt_tree_set_col_width(GntTree *tre
  *
  * See gnt_tree_set_column_titles(), gnt_tree_set_show_title().
  *
- * Since: 2.1.0
+ * Since: 2.1
  */
 void gnt_tree_set_column_title(GntTree *tree, int index, const char *title);
 
@@ -574,7 +574,7 @@ void gnt_tree_set_column_visible(GntTree
  *
  * See gnt_tree_set_col_width(), gnt_tree_set_column_width_ratio().
  *
- * Since: 2.1.0
+ * Since: 2.1
  */
 void gnt_tree_set_column_resizable(GntTree *tree, int col, gboolean res);
 
@@ -597,7 +597,7 @@ void gnt_tree_set_column_is_binary(GntTr
  *
  * Set whether text in a column should be right-aligned.
  *
- * Since: 2.1.0
+ * Since: 2.1
  */
 void gnt_tree_set_column_is_right_aligned(GntTree *tree, int col, gboolean right);
 
@@ -613,7 +613,7 @@ void gnt_tree_set_column_is_right_aligne
  *
  * See gnt_tree_set_col_width(), gnt_tree_set_column_resizable().
  *
- * Since: 2.1.0
+ * Since: 2.1
  */
 void gnt_tree_set_column_width_ratio(GntTree *tree, int cols[]);
 
@@ -624,7 +624,7 @@ void gnt_tree_set_column_width_ratio(Gnt
  *
  * Set the column to use for typeahead searching.
  *
- * Since: 2.1.0
+ * Since: 2.1
  */
 void gnt_tree_set_search_column(GntTree *tree, int col);
 
@@ -636,7 +636,7 @@ void gnt_tree_set_search_column(GntTree 
  *
  * Returns:  %TRUE if the user is searching, %FALSE otherwise.
  *
- * Since: 2.1.0
+ * Since: 2.1
  */
 gboolean gnt_tree_is_searching(GntTree *tree);
 
@@ -647,7 +647,7 @@ gboolean gnt_tree_is_searching(GntTree *
  *
  * Set a custom search function.
  *
- * Since: 2.1.0
+ * Since: 2.1
  */
 void gnt_tree_set_search_function(GntTree *tree, GntTreeSearchFunc func);
 
@@ -660,7 +660,7 @@ void gnt_tree_set_search_function(GntTre
  *
  * Returns: (transfer none): The key of the parent row.
  *
- * Since: 2.4.0
+ * Since: 2.4
  */
 gpointer gnt_tree_get_parent_key(GntTree *tree, gpointer key);
 
diff --git a/gntutils.h b/gntutils.h
--- a/gntutils.h
+++ b/gntutils.h
@@ -135,7 +135,7 @@ void gnt_util_parse_widgets(const char *
  *
  * Returns:  %TRUE if the string was added to the textview properly, %FALSE otherwise.
  *
- * Since: 2.2.0
+ * Since: 2.2
  */
 gboolean gnt_util_parse_xhtml_to_textview(const char *string, GntTextView *tv);
 
@@ -147,7 +147,7 @@ gboolean gnt_util_parse_xhtml_to_textvie
  *
  * Make some keypress activate a button when some key is pressed with 'wid' in focus.
  *
- * Since: 2.1.0
+ * Since: 2.1
  */
 void gnt_util_set_trigger_widget(GntWidget *widget, const char *key, GntWidget *button);
 
diff --git a/gntwidget.h b/gntwidget.h
--- a/gntwidget.h
+++ b/gntwidget.h
@@ -153,7 +153,7 @@ void gnt_widget_hide(GntWidget *widget);
  * Returns: (transfer none) (nullable): The widget's window, as a gpointer.
  *          Cast to WINDOW* for use.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 gpointer gnt_widget_get_window(GntWidget *widget);
 
@@ -166,7 +166,7 @@ gpointer gnt_widget_get_window(GntWidget
  *
  * This is generally only useful when implementing subclasses of #GntBox.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 void gnt_widget_set_parent(GntWidget *widget, GntWidget *parent);
 
@@ -178,7 +178,7 @@ void gnt_widget_set_parent(GntWidget *wi
  *
  * Returns: (transfer none) (nullable): The parent widget.
  *
- * Since: 2.14.0
+ * Since: 2.14
  */
 GntWidget *gnt_widget_get_parent(GntWidget *widget);
 
@@ -191,7 +191,7 @@ GntWidget *gnt_widget_get_parent(GntWidg
  *
  * Returns: (transfer none) (nullable): The toplevel parent widget.
  *
- * Since: 2.14.0
+ * Since: 2.14
  */
 GntWidget *gnt_widget_get_toplevel(GntWidget *widget);
 
@@ -337,7 +337,7 @@ void gnt_widget_set_take_focus(GntWidget
  *
  * Returns:   %TRUE if the widget can take focus.
  *
- * Since: 2.14.0
+ * Since: 2.14
  */
 gboolean gnt_widget_get_take_focus(GntWidget *widget);
 
@@ -358,7 +358,7 @@ void gnt_widget_set_visible(GntWidget *w
  *
  * Returns:  Whether the widget is visible or not.
  *
- * Since: 2.14.0
+ * Since: 2.14
  */
 gboolean gnt_widget_get_visible(GntWidget *widget);
 
@@ -383,7 +383,7 @@ gboolean gnt_widget_has_shadow(GntWidget
  *
  * Returns:  %TRUE if the widget is being destroyed.
  *
- * Since: 2.14.0
+ * Since: 2.14
  */
 gboolean gnt_widget_in_destruction(GntWidget *widget);
 
@@ -394,7 +394,7 @@ gboolean gnt_widget_in_destruction(GntWi
  *
  * Marks the widget as being drawn (or not).
  *
- * Since: 2.14.0
+ * Since: 2.14
  */
 void gnt_widget_set_drawing(GntWidget *widget, gboolean drawing);
 
@@ -408,7 +408,7 @@ void gnt_widget_set_drawing(GntWidget *w
  *
  * Returns:  %TRUE if the widget is being drawn.
  *
- * Since: 2.14.0
+ * Since: 2.14
  */
 gboolean gnt_widget_get_drawing(GntWidget *widget);
 
@@ -422,7 +422,7 @@ gboolean gnt_widget_get_drawing(GntWidge
  * This should generally only be called from the widget's "map" or "unmap"
  * implementation.
  *
- * Since: 2.14.0
+ * Since: 2.14
  */
 void gnt_widget_set_mapped(GntWidget *widget, gboolean mapped);
 
@@ -434,7 +434,7 @@ void gnt_widget_set_mapped(GntWidget *wi
  *
  * Returns: Whether the widget is mapped or not.
  *
- * Since: 2.14.0
+ * Since: 2.14
  */
 gboolean gnt_widget_get_mapped(GntWidget *widget);
 
@@ -445,7 +445,7 @@ gboolean gnt_widget_get_mapped(GntWidget
  *
  * Sets the has-border property on widget to @has_border.
  *
- * Since: 2.14.0
+ * Since: 2.14
  */
 void gnt_widget_set_has_border(GntWidget *widget, gboolean has_border);
 
@@ -457,7 +457,7 @@ void gnt_widget_set_has_border(GntWidget
  *
  * Returns: Whether the widget has a border or not.
  *
- * Since: 2.14.0
+ * Since: 2.14
  */
 gboolean gnt_widget_get_has_border(GntWidget *widget);
 
@@ -470,7 +470,7 @@ gboolean gnt_widget_get_has_border(GntWi
  * property does not necessarily mean the widget will have a shadow, depending
  * on its styling.
  *
- * Since: 2.14.0
+ * Since: 2.14
  */
 void gnt_widget_set_has_shadow(GntWidget *widget, gboolean has_shadow);
 
@@ -485,7 +485,7 @@ void gnt_widget_set_has_shadow(GntWidget
  *
  * Returns: Whether the widget has a shadow set or not.
  *
- * Since: 2.14.0
+ * Since: 2.14
  */
 gboolean gnt_widget_get_has_shadow(GntWidget *widget);
 
@@ -500,7 +500,7 @@ gboolean gnt_widget_get_has_shadow(GntWi
  * This is mostly for internal use; you probably want to use
  * gnt_widget_set_focus() instead.
  *
- * Since: 2.14.0
+ * Since: 2.14
  */
 void gnt_widget_set_has_focus(GntWidget *widget, gboolean has_focus);
 
@@ -524,7 +524,7 @@ gboolean gnt_widget_get_has_focus(GntWid
  *
  * Set the URGENT hint for a widget.
  *
- * Since: 2.14.0
+ * Since: 2.14
  */
 void gnt_widget_set_is_urgent(GntWidget *widget, gboolean urgent);
 
@@ -536,7 +536,7 @@ void gnt_widget_set_is_urgent(GntWidget 
  *
  * Returns: Whether the URGENT hint is set or not.
  *
- * Since: 2.14.0
+ * Since: 2.14
  */
 gboolean gnt_widget_get_is_urgent(GntWidget *widget);
 
@@ -547,7 +547,7 @@ gboolean gnt_widget_get_is_urgent(GntWid
  *
  * Whether widget should grow in the x direction.
  *
- * Since: 2.14.0
+ * Since: 2.14
  */
 void gnt_widget_set_grow_x(GntWidget *widget, gboolean grow_x);
 
@@ -559,7 +559,7 @@ void gnt_widget_set_grow_x(GntWidget *wi
  *
  * Returns: Whether widget should grow in the x direction.
  *
- * Since: 2.14.0
+ * Since: 2.14
  */
 gboolean gnt_widget_get_grow_x(GntWidget *widget);
 
@@ -570,7 +570,7 @@ gboolean gnt_widget_get_grow_x(GntWidget
  *
  * Whether widget should grow in the y direction.
  *
- * Since: 2.14.0
+ * Since: 2.14
  */
 void gnt_widget_set_grow_y(GntWidget *widget, gboolean grow_y);
 
@@ -582,7 +582,7 @@ void gnt_widget_set_grow_y(GntWidget *wi
  *
  * Returns: Whether widget should grow in the y direction.
  *
- * Since: 2.14.0
+ * Since: 2.14
  */
 gboolean gnt_widget_get_grow_y(GntWidget *widget);
 
@@ -593,7 +593,7 @@ gboolean gnt_widget_get_grow_y(GntWidget
  *
  * Whether the widget should be transient.
  *
- * Since: 2.14.0
+ * Since: 2.14
  */
 void gnt_widget_set_transient(GntWidget *widget, gboolean transient);
 
@@ -605,7 +605,7 @@ void gnt_widget_set_transient(GntWidget 
  *
  * Returns: Whether the widget should be transient.
  *
- * Since: 2.14.0
+ * Since: 2.14
  */
 gboolean gnt_widget_get_transient(GntWidget *widget);
 
@@ -616,7 +616,7 @@ gboolean gnt_widget_get_transient(GntWid
  *
  * Whether widget actions should be disabled.
  *
- * Since: 2.14.0
+ * Since: 2.14
  */
 void gnt_widget_set_disable_actions(GntWidget *widget,
                                     gboolean disable_actions);
@@ -629,7 +629,7 @@ void gnt_widget_set_disable_actions(GntW
  *
  * Returns: Whether the widget actions are disabled.
  *
- * Since: 2.14.0
+ * Since: 2.14
  */
 gboolean gnt_widget_get_disable_actions(GntWidget *widget);
 
diff --git a/gntwindow.h b/gntwindow.h
--- a/gntwindow.h
+++ b/gntwindow.h
@@ -126,7 +126,7 @@ void gnt_window_set_menu(GntWindow *wind
  *
  * Returns: (transfer none) (nullable):  The menu for the window.
  *
- * Since: 2.14.0
+ * Since: 2.14
  */
 GntMenu *gnt_window_get_menu(GntWindow *window);
 
@@ -139,7 +139,7 @@ GntMenu *gnt_window_get_menu(GntWindow *
  *
  * Returns: The id of the menuitem bound to the keystroke, or %NULL.
  *
- * Since: 2.3.0
+ * Since: 2.3
  */
 const char * gnt_window_get_accel_item(GntWindow *window, const char *key);
 
@@ -150,7 +150,7 @@ const char * gnt_window_get_accel_item(G
  *
  * Maximize a window, either horizontally or vertically, or both.
  *
- * Since: 2.3.0
+ * Since: 2.3
  */
 void gnt_window_set_maximize(GntWindow *window, GntWindowFlags maximize);
 
@@ -162,7 +162,7 @@ void gnt_window_set_maximize(GntWindow *
  *
  * Returns:  The maximization state of the window.
  *
- * Since: 2.3.0
+ * Since: 2.3
  */
 GntWindowFlags gnt_window_get_maximize(GntWindow *window);
 
diff --git a/gntwm.h b/gntwm.h
--- a/gntwm.h
+++ b/gntwm.h
@@ -88,7 +88,7 @@ G_DECLARE_DERIVABLE_TYPE(GntWM, gnt_wm, 
  *                    This is invoked whenever the terminal window is resized,
  *                    or the screen session is attached to a new terminal.
  *                    (i.e., from the SIGWINCH callback)
- *                    Since: 2.1.0
+ *                    Since: 2.1
  *
  * The class structure for #GntWM.
  */
@@ -130,7 +130,7 @@ struct _GntWMClass
  *
  * Returns: (transfer none): The @GntWS that is currently active.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 GntWS *gnt_wm_get_current_workspace(GntWM *wm);
 
@@ -238,7 +238,7 @@ void gnt_wm_window_close(GntWM *wm, GntW
  * given @user_data parameter. The window manager may not be modified while
  * iterating over it (you can't add/remove widgets).
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 void gnt_wm_foreach(GntWM *wm, GHFunc func, gpointer user_data);
 
@@ -324,7 +324,7 @@ time_t gnt_wm_get_idle_time(void);
  *
  * Returns: #TRUE if a position is recorded for the window, %FALSE otherwise.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 gboolean gnt_wm_has_window_position(GntWM *wm, const gchar *title);
 
diff --git a/gntwm.c b/gntwm.c
--- a/gntwm.c
+++ b/gntwm.c
@@ -1627,7 +1627,7 @@ gnt_wm_class_init(GntWMClass *klass)
 	/**
 	 * GntWM::terminal-refresh:
 	 *
-	 * Since: 2.1.0
+	 * Since: 2.1
 	 */
 	signals[SIG_TERMINAL_REFRESH] =
 		g_signal_new("terminal-refresh",
diff --git a/gntws.h b/gntws.h
--- a/gntws.h
+++ b/gntws.h
@@ -42,7 +42,7 @@ G_DECLARE_DERIVABLE_TYPE(GntWS, gnt_ws, 
  *
  * The class structure for #GntWS.
  *
- * Since: 2.1.0
+ * Since: 2.1
  */
 struct _GntWSClass
 {
@@ -64,7 +64,7 @@ struct _GntWSClass
  *
  * Returns: The newly created workspace.
  *
- * Since: 2.1.0
+ * Since: 2.1
  */
 GntWS *gnt_ws_new(const char *name);
 
@@ -75,7 +75,7 @@ GntWS *gnt_ws_new(const char *name);
  *
  * Set the name of a workspace.
  *
- * Since: 2.1.0
+ * Since: 2.1
  */
 void gnt_ws_set_name(GntWS *ws, const gchar *name);
 
@@ -87,7 +87,7 @@ void gnt_ws_set_name(GntWS *ws, const gc
  *
  * Returns: %TRUE if the workspace is empty, %FALSE otherwise.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 gboolean gnt_ws_is_empty(GntWS *ws);
 
@@ -98,7 +98,7 @@ gboolean gnt_ws_is_empty(GntWS *ws);
  *
  * Add a widget to a workspace.
  *
- * Since: 2.1.0
+ * Since: 2.1
  */
 void gnt_ws_add_widget(GntWS *ws, GntWidget *widget);
 
@@ -109,7 +109,7 @@ void gnt_ws_add_widget(GntWS *ws, GntWid
  *
  * Remove a widget from a workspace.
  *
- * Since: 2.1.0
+ * Since: 2.1
  */
 void gnt_ws_remove_widget(GntWS *ws, GntWidget *widget);
 
@@ -121,7 +121,7 @@ void gnt_ws_remove_widget(GntWS *ws, Gnt
  *
  * Returns: (transfer none): The widget at the top of the workspace.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 GntWidget *gnt_ws_get_top_widget(GntWS *ws);
 
@@ -135,7 +135,7 @@ GntWidget *gnt_ws_get_top_widget(GntWS *
  * Returns: (transfer none) (element-type GntWidget): The list of widgets in
  *          the workspace.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 GList *gnt_ws_get_widgets(GntWS *ws);
 
@@ -146,7 +146,7 @@ GList *gnt_ws_get_widgets(GntWS *ws);
  *
  * Hide a widget in a workspace.
  *
- * Since: 2.1.0
+ * Since: 2.1
  */
 void gnt_ws_widget_hide(GntWidget *widget, GHashTable *nodes);
 
@@ -157,7 +157,7 @@ void gnt_ws_widget_hide(GntWidget *widge
  *
  * Show a widget in a workspace.
  *
- * Since: 2.1.0
+ * Since: 2.1
  */
 void gnt_ws_widget_show(GntWidget *widget, GHashTable *nodes);
 
@@ -168,7 +168,7 @@ void gnt_ws_widget_show(GntWidget *widge
  *
  * Draw the taskbar in a workspace.
  *
- * Since: 2.1.0
+ * Since: 2.1
  */
 void gnt_ws_draw_taskbar(GntWS *ws, gboolean reposition);
 
@@ -179,7 +179,7 @@ void gnt_ws_draw_taskbar(GntWS *ws, gboo
  *
  * Hide a workspace.
  *
- * Since: 2.1.0
+ * Since: 2.1
  */
 void gnt_ws_hide(GntWS *ws, GHashTable *table);
 
@@ -190,7 +190,7 @@ void gnt_ws_hide(GntWS *ws, GHashTable *
  *
  * Show a workspace.
  *
- * Since: 2.1.0
+ * Since: 2.1
  */
 void gnt_ws_show(GntWS *ws, GHashTable *table);
 
@@ -202,7 +202,7 @@ void gnt_ws_show(GntWS *ws, GHashTable *
  *
  * Returns:  The name of the workspace (can be %NULL).
  *
- * Since: 2.1.0
+ * Since: 2.1
  */
 const char * gnt_ws_get_name(GntWS *ws);
 
